Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062921 (php-google-apiclient) - Review Request: php-google-apiclient - Client library for Google APIs
Summary: Review Request: php-google-apiclient - Client library for Google APIs
Keywords:
Status: CLOSED ERRATA
Alias: php-google-apiclient
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Williamson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-08 18:14 UTC by Shawn Iwinski
Modified: 2014-03-11 23:59 UTC (History)
2 users (show)

Fixed In Version: php-google-apiclient-1.0.3-0.2.beta.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-03 03:06:55 UTC
awilliam: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Shawn Iwinski 2014-02-08 18:14:24 UTC
Spec URL: https://raw2.github.com/siwinski/rpms/f50ac0f2d540418e96c17a6e97c66d78f043c3ee/php-google-apiclient.spec

SRPM URL: http://siwinski.fedorapeople.org/SRPMS/php-google-apiclient-1.0.3-0.1.beta.fc20.src.rpm

Description:
Google APIs Client Library for PHP provides access to many Google APIs.
It is designed for PHP client-application developers and offers simple,
flexible, powerful API access.


Fedora Account System Username: siwinski

Comment 1 Adam Williamson 2014-02-20 03:14:42 UTC
Taking the review, and doing it. Detailed notes and improvement suggestions below.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Large documentation must go in a -doc subpackage. Large could be size (~1MB)
  or number of files.
  Note: Documentation size is 21104640 bytes in 19 files.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation

This one should probably block the review. As the examples are large, we should probably split them into a -examples subpackage or something.

- "Package functions as described": I gave this a pass, but as this is principally for OwnCloud's benefit, can you please backport this commit: https://github.com/google/google-api-php-client/commit/c6949531d2399f81a5e15caf256f156dd68e00e9 , as without it, OC will not work entirely correctly.

- A few files without explicit licenses: given the 'tarball-wide' LICENSE file I think we don't need to block on this, but one of us should file an issue upstream pointing out that the follow files are missing license blocks:

examples/index.php
examples/templates/base.php
src/Google/Collection.php
src/Google/Model.php
src/Google/Service/Exception.php
tests/bootstrap.php

- Package naming: I'll just note here that the logic behind the name is that it's the Composer name - see https://github.com/google/google-api-php-client/blob/master/composer.json#L2 and https://packagist.org/packages/google/apiclient . I agree with Shawn that this is a reasonable naming approach for v1.x.

===== MUST items =====

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache (v2.0)".
     6 files have unknown license. Detailed output of licensecheck in /tmp
     /php-google-apiclient/licensecheck.txt
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present (not strictly required in GL).
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Comment 2 Shawn Iwinski 2014-02-20 04:43:00 UTC
(In reply to Adam Williamson from comment #1)
> - Large documentation must go in a -doc subpackage. Large could be size
> (~1MB)
>   or number of files.
>   Note: Documentation size is 21104640 bytes in 19 files.
>   See:
> http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation
> 
> This one should probably block the review. As the examples are large, we
> should probably split them into a -examples subpackage or something.

I didn't notice that 21MB file in there!  The examples have been sub-packaged.


> - "Package functions as described": I gave this a pass, but as this is
> principally for OwnCloud's benefit, can you please backport this commit:
> https://github.com/google/google-api-php-client/commit/
> c6949531d2399f81a5e15caf256f156dd68e00e9 , as without it, OC will not work
> entirely correctly.

Backported


> - A few files without explicit licenses: given the 'tarball-wide' LICENSE
> file I think we don't need to block on this, but one of us should file an
> issue upstream pointing out that the follow files are missing license blocks:
> 
> examples/index.php
> examples/templates/base.php
> src/Google/Collection.php
> src/Google/Model.php
> src/Google/Service/Exception.php
> tests/bootstrap.php

I'm sleepy and off to bed.  I can file this later on unless you want to take care of it today.



Update diff: https://github.com/siwinski/rpms/commit/27e5a66e93d8e57308e6587425b8007202dc2094



Spec URL: https://raw2.github.com/siwinski/rpms/27e5a66e93d8e57308e6587425b8007202dc2094/php-google-apiclient.spec

SRPM URL: http://siwinski.fedorapeople.org/SRPMS/php-google-apiclient-1.0.3-0.2.beta.fc20.src.rpm

Comment 3 Adam Williamson 2014-02-20 04:59:51 UTC
Fixes look good. Review is approved.

Comment 4 Shawn Iwinski 2014-02-20 20:52:41 UTC
THANKS for the review!


New Package SCM Request
=======================
Package Name: php-google-apiclient
Short Description: Client library for Google APIs
Owners: siwinski
Branches: f19 f20 el6 epel7
InitialCC:

Comment 5 Gwyn Ciesla 2014-02-21 12:55:24 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-02-21 19:47:42 UTC
php-google-apiclient-1.0.3-0.2.beta.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-google-apiclient-1.0.3-0.2.beta.fc20

Comment 7 Fedora Update System 2014-02-21 19:47:51 UTC
php-google-apiclient-1.0.3-0.2.beta.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/php-google-apiclient-1.0.3-0.2.beta.fc19

Comment 8 Fedora Update System 2014-02-21 19:47:59 UTC
php-google-apiclient-1.0.3-0.2.beta.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-google-apiclient-1.0.3-0.2.beta.el6

Comment 9 Fedora Update System 2014-02-22 01:46:25 UTC
php-google-apiclient-1.0.3-0.2.beta.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 10 Fedora Update System 2014-03-03 03:06:55 UTC
php-google-apiclient-1.0.3-0.2.beta.fc20 has been pushed to the Fedora 20 stable repository.

Comment 11 Fedora Update System 2014-03-03 03:12:33 UTC
php-google-apiclient-1.0.3-0.2.beta.fc19 has been pushed to the Fedora 19 stable repository.

Comment 12 Fedora Update System 2014-03-11 23:59:25 UTC
php-google-apiclient-1.0.3-0.2.beta.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.